Get a sending domain
One managed sending domain's status, price and dates, and why it is delayed when it is.
GET
https://app.trygtm.com/api/v1/domains/{domain_id}- Scope
read- MCP tool
- get_domain
Path parameters
domain_idstringrequired- The domain's id, from list_domains.
Request
curl https://app.trygtm.com/api/v1/domains/8f2a91c4-6d1e-4c0a-9a57-2f3b1c7e9d10 \
-H "Authorization: Bearer $TRYGTM_API_KEY"Response
{
"data": {
"id": "2b3c4d5e-6f70-4a81-9b2c-3d4e5f607182",
"name": "acme-mail.com",
"source": "purchased",
"status": "ready",
"price": {
"amount_minor": 1299,
"currency": "USD"
},
"registered_at": "2026-09-02T10:00:00.000Z",
"expires_at": "2027-09-02T10:00:00.000Z",
"ready_at": "2026-09-02T11:30:00.000Z",
"refunded_at": null,
"created_at": "2026-09-02T09:58:00.000Z",
"error": null
}
}